Crazy Eddies GUI System: CEGUI::Config_xmlHandler Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Attributes
CEGUI::Config_xmlHandler Class Reference

Handler class used to parse the Configuration XML file. More...

Inheritance diagram for CEGUI::Config_xmlHandler:
[legend]
Collaboration diagram for CEGUI::Config_xmlHandler:
[legend]

List of all members.

## Classes
struct | AutoLoadResource
| struct to track a set of resources to be auto-loaded.
struct | DefaultResourceGroup
| struct to track a default resource group specification.
struct | ResourceDirectory
| struct to track a resource group directory specification.
## Public Member Functions
| Config_xmlHandler ()
| Constructor.
| ~Config_xmlHandler ()
| Destructor.
void | initialiseXMLParser () const
| Initialise the CEGUI XMLParser according to info parsed from config.
void | initialiseImageCodec () const
| Initialise the CEGUI ImageCodec according to info parsed from config.
void | initialiseLogger (const String &default_filename) const
| Initialise the CEGUI Logger according to info parsed from config.
void | initialiseResourceGroupDirectories () const
| Set resource group dirs read from the config. (DefaultResourceProvider only).
void | initialiseDefaultResourceGroups () const
| Set default resource groups according to those in the config.
void | loadAutoResources () const
| Auto-load all resources specified in the config.
void | initialiseDefaultFont () const
| initialise the system default font according to the config.
void | initialiseDefaultMouseCursor () const
| initialise the system default mouse cursor image according to the config.
void | initialiseDefaulTooltip () const
| initialise the system default tooltip according to the config.
void | initialiseDefaultGUISheet () const
| initialise the initial / default GUI Sheet according to the config.
void | executeInitScript () const
| execute the init script as specified in the config.
const String & | getTerminateScriptName () const
| return the name of the terminate script from the config (hacky!)
void | elementStart (const String &element, const XMLAttributes &attributes)
| Method called to notify the handler at the start of each XML element encountered.
void | elementEnd (const String &element)
| Method called to notify the handler at the end of each XML element encountered.
## Static Public Attributes
static const String | CEGUIConfigSchemaName
| Name of xsd schema file used for validation.
static const String | CEGUIConfigElement
static const String | LoggingElement
static const String | AutoLoadElement
static const String | ResourceDirectoryElement
static const String | DefaultResourceGroupElement
static const String | ScriptingElement
static const String | XMLParserElement
static const String | ImageCodecElement
static const String | DefaultFontElement
static const String | DefaultMouseCursorElement
static const String | DefaultTooltipElement
static const String | DefaultGUISheetElement
static const String | FilenameAttribute
static const String | LevelAttribute
static const String | TypeAttribute
static const String | GroupAttribute
static const String | PatternAttribute
static const String | DirectoryAttribute
static const String | InitScriptAttribute
static const String | TerminateScriptAttribute
static const String | ImagesetAttribute
static const String | ImageAttribute
static const String | NameAttribute

## Detailed Description

Handler class used to parse the Configuration XML file.

## Member Function Documentation

void CEGUI::Config_xmlHandler::elementEnd | ( | const String & | element | ) | `[virtual]`

Method called to notify the handler at the end of each XML element encountered.

Parameters:

  element | String object holding the name of the element that is ending.

Returns:
  Nothing.

Reimplemented from CEGUI::XMLHandler.

void CEGUI::Config_xmlHandler::elementStart | ( | const String & | element,
|  | const XMLAttributes & | attributes
| ) |  | `[virtual]`

Method called to notify the handler at the start of each XML element encountered.

Parameters:

  element | String object holding the name of the element that is starting.
  attributes | An XMLAttributes object holding the collection of attributes specified for the element.

Returns:
  Nothing.

Reimplemented from CEGUI::XMLHandler.